Bug 249226 - Networkmanager could not connect to SpeedTouch at starting the next time
Summary: Networkmanager could not connect to SpeedTouch at starting the next time
Status: RESOLVED DUPLICATE of bug 210878
Alias: None
Product: knetworkmanager
Classification: Miscellaneous
Component: general (show other bugs)
Version: unspecified
Platform: OpenSUSE Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Will Stephenson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-27 14:52 UTC by Andre den Oudsten
Modified: 2011-02-11 15:56 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andre den Oudsten 2010-08-27 14:52:44 UTC
Application: knetworkmanager (v0.9)
KDE Platform Version: 4.4.4 (KDE 4.4.4) "release 2"
Qt Version: 4.6.3
Operating System: Linux 2.6.34-12-desktop x86_64
Distribution: "openSUSE 11.3 (x86_64)"

-- Information about the crash:
After making a wireless connection the first time its impossible to renew after shutting off and restart the next day

The crash can be reproduced every time.

 -- Backtrace:
Application: KNetworkManager (knetworkmanager), signal: Segmentation fault
[KCrash Handler]
#5  ref (this=0x71b4a0) at /usr/include/QtCore/qatomic_x86_64.h:121
#6  QString (this=0x71b4a0) at /usr/include/QtCore/qstring.h:715
#7  Knm::Activatable::deviceUni (this=0x71b4a0) at /usr/src/debug/networkmanagement/libs/internals/activatable.cpp:51
#8  0x00007f8bcb250718 in compareDevices (first=0x71b4a0, second=0x764160) at /usr/src/debug/networkmanagement/libs/service/sortedactivatablelist.cpp:262
#9  0x00007f8bcb250a43 in activatableLessThan (first=0x71b4a0, second=0x764160) at /usr/src/debug/networkmanagement/libs/service/sortedactivatablelist.cpp:172
#10 0x00007f8bcb25155a in QAlgorithmsPrivate::qSortHelper<QList<Knm::Activatable*>::iterator, Knm::Activatable*, bool (*)(Knm::Activatable const*, Knm::Activatable const*)> (start=..., end=..., 
    t=@0x7ab770, lessThan=0x7f8bcb250a20 <activatableLessThan(Knm::Activatable const*, Knm::Activatable const*)>) at /usr/include/QtCore/qalgorithms.h:356
#11 0x00007f8bcb251307 in qSort<QList<Knm::Activatable*>::iterator, bool (*)(Knm::Activatable const*, Knm::Activatable const*)> (this=0x6ff710, activatable=0x711b20)
    at /usr/include/QtCore/qalgorithms.h:187
#12 SortedActivatableList::handleAdd (this=0x6ff710, activatable=0x711b20) at /usr/src/debug/networkmanagement/libs/service/sortedactivatablelist.cpp:96
#13 0x00007f8bcb241f53 in ActivatableList::notifyOnAddActivatable (this=<value optimized out>, activatable=0x711b20) at /usr/src/debug/networkmanagement/libs/service/activatablelist.cpp:99
#14 0x00007f8bcb24585e in WirelessNetworkInterfaceActivatableProvider::handleAdd (this=<value optimized out>, addedConnection=<value optimized out>)
    at /usr/src/debug/networkmanagement/libs/service/wirelessnetworkinterfaceactivatableprovider.cpp:143
#15 0x00007f8bcb24345d in NetworkInterfaceActivatableProvider::init (this=0x7b28b0) at /usr/src/debug/networkmanagement/libs/service/networkinterfaceactivatableprovider.cpp:64
#16 0x00007f8bcb24299d in NetworkInterfaceMonitor::networkInterfaceAdded (this=<value optimized out>, uni=...) at /usr/src/debug/networkmanagement/libs/service/networkinterfacemonitor.cpp:79
#17 0x00007f8bcb23dfbd in NetworkInterfaceMonitor::qt_metacall (this=0x7545e0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffd9cc2a00)
    at /usr/src/debug/networkmanagement/build/libs/service/moc_networkinterfacemonitor.cpp:75
#18 0x00007f8bca831a1f in QMetaObject::activate (sender=0x71ae50, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fffd9cc2a00) at kernel/qobject.cpp:3295
#19 0x00007f8bcadc4945 in Solid::Control::NetworkManager::Notifier::networkInterfaceAdded (this=<value optimized out>, _t1=<value optimized out>)
    at /usr/src/debug/kdebase-workspace-4.4.4/build/libs/solid/control/networkmanager.moc:107
#20 0x00007f8bcadc4f17 in Solid::Control::NetworkManagerPrivate::qt_metacall (this=0x71ae50, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffd9cc2b20)
    at /usr/src/debug/kdebase-workspace-4.4.4/build/libs/solid/control/networkmanager_p.moc:81
#21 0x00007f8bca831a1f in QMetaObject::activate (sender=0x7484f0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fffd9cc2b20) at kernel/qobject.cpp:3295
#22 0x00007f8bc0ba9375 in NMNetworkManager::networkInterfaceAdded (this=<value optimized out>, _t1=<value optimized out>)
    at /usr/src/debug/kdebase-workspace-4.4.4/build/solid/networkmanager-0.7/manager.moc:134
#23 0x00007f8bc0badbea in NMNetworkManager::deviceAdded (this=0x7484f0, objpath=...) at /usr/src/debug/kdebase-workspace-4.4.4/solid/networkmanager-0.7/manager.cpp:199
#24 0x00007f8bc0bb77c9 in NMNetworkManager::qt_metacall (this=0x7484f0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffd9cc2ce0)
    at /usr/src/debug/kdebase-workspace-4.4.4/build/solid/networkmanager-0.7/manager.moc:111
#25 0x00007f8bca831a1f in QMetaObject::activate (sender=0x7126d0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fffd9cc2ce0) at kernel/qobject.cpp:3295
#26 0x00007f8bc0baa382 in OrgFreedesktopNetworkManagerInterface::DeviceAdded (this=<value optimized out>, _t1=<value optimized out>)
    at /usr/src/debug/kdebase-workspace-4.4.4/build/solid/networkmanager-0.7/nm-manager-clientinterface.moc:155
#27 0x00007f8bc0bb1b94 in OrgFreedesktopNetworkManagerInterface::qt_metacall (this=0x7126d0, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0x7fffd9cc3120)
    at /usr/src/debug/kdebase-workspace-4.4.4/build/solid/networkmanager-0.7/nm-manager-clientinterface.moc:102
#28 0x00007f8bcab55188 in QDBusConnectionPrivate::deliverCall (this=0x7105a0, object=0x7126d0, msg=..., metaTypes=..., slotIdx=5) at qdbusintegrator.cpp:904
#29 0x00007f8bcab61ecf in QDBusCallDeliveryEvent::placeMetaCall (this=<value optimized out>, object=<value optimized out>) at qdbusintegrator_p.h:101
#30 0x00007f8bca82f509 in QObject::event (this=0x7126d0, e=0x79d740) at kernel/qobject.cpp:1248
#31 0x00007f8bc9c0f4d4 in QApplicationPrivate::notify_helper (this=0x65c090, receiver=0x7126d0, e=0x79d740) at kernel/qapplication.cpp:4302
#32 0x00007f8bc9c17aca in QApplication::notify (this=<value optimized out>, receiver=0x7126d0, e=0x79d740) at kernel/qapplication.cpp:4185
#33 0x00007f8bcbb31c06 in KApplication::notify (this=0x7fffd9cc3c00, receiver=0x7126d0, event=0x79d740) at /usr/src/debug/kdelibs-4.4.4/kdeui/kernel/kapplication.cpp:302
#34 0x00007f8bca81de4c in QCoreApplication::notifyInternal (this=0x7fffd9cc3c00, receiver=0x7126d0, event=0x79d740) at kernel/qcoreapplication.cpp:726
#35 0x00007f8bca8215ba in sendEvent (receiver=0x0, event_type=0, data=0x631220) at kernel/qcoreapplication.h:215
#36 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x631220) at kernel/qcoreapplication.cpp:1367
#37 0x00007f8bca846173 in sendPostedEvents (s=<value optimized out>) at kernel/qcoreapplication.h:220
#38 postEventSourceDispatch (s=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:276
#39 0x00007f8bc5ce0a93 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#40 0x00007f8bc5ce1270 in ?? () from /usr/lib64/libglib-2.0.so.0
#41 0x00007f8bc5ce1510 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#42 0x00007f8bca84667f in QEventDispatcherGlib::processEvents (this=0x6368b0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#43 0x00007f8bc9cb014e in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#44 0x00007f8bca81d292 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#45 0x00007f8bca81d495 in QEventLoop::exec (this=0x7fffd9cc3b50, flags=...) at kernel/qeventloop.cpp:201
#46 0x00007f8bca82188b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1003
#47 0x000000000040e88f in _start ()

Possible duplicates by query: bug 248662, bug 248408, bug 245839, bug 244291, bug 241678.

Reported using DrKonqi
Comment 1 Andre den Oudsten 2010-10-10 21:41:23 UTC
Op 27-08-10 14:52, Andre den Oudsten schreef:
> https://bugs.kde.org/show_bug.cgi?id=249226
>
>            Summary: Networkmanager could not connect to SpeedTouch at
>                     starting the next time
>            Product: knetworkmanager
>            Version: unspecified
>           Platform: openSUSE RPMs
>         OS/Version: Linux
>             Status: UNCONFIRMED
>           Severity: crash
>           Priority: NOR
>          Component: general
>         AssignedTo: wstephenson@kde.org
>         ReportedBy: AdenOudsten@wxs.nl
>
>
> Application: knetworkmanager (v0.9)
> KDE Platform Version: 4.4.4 (KDE 4.4.4) "release 2"
> Qt Version: 4.6.3
> Operating System: Linux 2.6.34-12-desktop x86_64
> Distribution: "openSUSE 11.3 (x86_64)"
>
> -- Information about the crash:
> After making a wireless connection the first time its impossible to renew after
> shutting off and restart the next day
>
> The crash can be reproduced every time.
>
>  -- Backtrace:
> Application: KNetworkManager (knetworkmanager), signal: Segmentation fault
> [KCrash Handler]
> #5  ref (this=0x71b4a0) at /usr/include/QtCore/qatomic_x86_64.h:121
> #6  QString (this=0x71b4a0) at /usr/include/QtCore/qstring.h:715
> #7  Knm::Activatable::deviceUni (this=0x71b4a0) at
> /usr/src/debug/networkmanagement/libs/internals/activatable.cpp:51
> #8  0x00007f8bcb250718 in compareDevices (first=0x71b4a0, second=0x764160) at
> /usr/src/debug/networkmanagement/libs/service/sortedactivatablelist.cpp:262
> #9  0x00007f8bcb250a43 in activatableLessThan (first=0x71b4a0, second=0x764160)
> at /usr/src/debug/networkmanagement/libs/service/sortedactivatablelist.cpp:172
> #10 0x00007f8bcb25155a in
> QAlgorithmsPrivate::qSortHelper<QList<Knm::Activatable*>::iterator,
> Knm::Activatable*, bool (*)(Knm::Activatable const*, Knm::Activatable const*)>
> (start=..., end=..., 
>     t=@0x7ab770, lessThan=0x7f8bcb250a20 <activatableLessThan(Knm::Activatable
> const*, Knm::Activatable const*)>) at /usr/include/QtCore/qalgorithms.h:356
> #11 0x00007f8bcb251307 in qSort<QList<Knm::Activatable*>::iterator, bool
> (*)(Knm::Activatable const*, Knm::Activatable const*)> (this=0x6ff710,
> activatable=0x711b20)
>     at /usr/include/QtCore/qalgorithms.h:187
> #12 SortedActivatableList::handleAdd (this=0x6ff710, activatable=0x711b20) at
> /usr/src/debug/networkmanagement/libs/service/sortedactivatablelist.cpp:96
> #13 0x00007f8bcb241f53 in ActivatableList::notifyOnAddActivatable (this=<value
> optimized out>, activatable=0x711b20) at
> /usr/src/debug/networkmanagement/libs/service/activatablelist.cpp:99
> #14 0x00007f8bcb24585e in
> WirelessNetworkInterfaceActivatableProvider::handleAdd (this=<value optimized
> out>, addedConnection=<value optimized out>)
>     at
> /usr/src/debug/networkmanagement/libs/service/wirelessnetworkinterfaceactivatableprovider.cpp:143
> #15 0x00007f8bcb24345d in NetworkInterfaceActivatableProvider::init
> (this=0x7b28b0) at
> /usr/src/debug/networkmanagement/libs/service/networkinterfaceactivatableprovider.cpp:64
> #16 0x00007f8bcb24299d in NetworkInterfaceMonitor::networkInterfaceAdded
> (this=<value optimized out>, uni=...) at
> /usr/src/debug/networkmanagement/libs/service/networkinterfacemonitor.cpp:79
> #17 0x00007f8bcb23dfbd in NetworkInterfaceMonitor::qt_metacall (this=0x7545e0,
> _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffd9cc2a00)
>     at
> /usr/src/debug/networkmanagement/build/libs/service/moc_networkinterfacemonitor.cpp:75
> #18 0x00007f8bca831a1f in QMetaObject::activate (sender=0x71ae50, m=<value
> optimized out>, local_signal_index=<value optimized out>, argv=0x7fffd9cc2a00)
> at kernel/qobject.cpp:3295
> #19 0x00007f8bcadc4945 in
> Solid::Control::NetworkManager::Notifier::networkInterfaceAdded (this=<value
> optimized out>, _t1=<value optimized out>)
>     at
> /usr/src/debug/kdebase-workspace-4.4.4/build/libs/solid/control/networkmanager.moc:107
> #20 0x00007f8bcadc4f17 in Solid::Control::NetworkManagerPrivate::qt_metacall
> (this=0x71ae50, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>,
> _a=0x7fffd9cc2b20)
>     at
> /usr/src/debug/kdebase-workspace-4.4.4/build/libs/solid/control/networkmanager_p.moc:81
> #21 0x00007f8bca831a1f in QMetaObject::activate (sender=0x7484f0, m=<value
> optimized out>, local_signal_index=<value optimized out>, argv=0x7fffd9cc2b20)
> at kernel/qobject.cpp:3295
> #22 0x00007f8bc0ba9375 in NMNetworkManager::networkInterfaceAdded (this=<value
> optimized out>, _t1=<value optimized out>)
>     at
> /usr/src/debug/kdebase-workspace-4.4.4/build/solid/networkmanager-0.7/manager.moc:134
> #23 0x00007f8bc0badbea in NMNetworkManager::deviceAdded (this=0x7484f0,
> objpath=...) at
> /usr/src/debug/kdebase-workspace-4.4.4/solid/networkmanager-0.7/manager.cpp:199
> #24 0x00007f8bc0bb77c9 in NMNetworkManager::qt_metacall (this=0x7484f0,
> _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffd9cc2ce0)
>     at
> /usr/src/debug/kdebase-workspace-4.4.4/build/solid/networkmanager-0.7/manager.moc:111
> #25 0x00007f8bca831a1f in QMetaObject::activate (sender=0x7126d0, m=<value
> optimized out>, local_signal_index=<value optimized out>, argv=0x7fffd9cc2ce0)
> at kernel/qobject.cpp:3295
> #26 0x00007f8bc0baa382 in OrgFreedesktopNetworkManagerInterface::DeviceAdded
> (this=<value optimized out>, _t1=<value optimized out>)
>     at
> /usr/src/debug/kdebase-workspace-4.4.4/build/solid/networkmanager-0.7/nm-manager-clientinterface.moc:155
> #27 0x00007f8bc0bb1b94 in OrgFreedesktopNetworkManagerInterface::qt_metacall
> (this=0x7126d0, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0x7fffd9cc3120)
>     at
> /usr/src/debug/kdebase-workspace-4.4.4/build/solid/networkmanager-0.7/nm-manager-clientinterface.moc:102
> #28 0x00007f8bcab55188 in QDBusConnectionPrivate::deliverCall (this=0x7105a0,
> object=0x7126d0, msg=..., metaTypes=..., slotIdx=5) at qdbusintegrator.cpp:904
> #29 0x00007f8bcab61ecf in QDBusCallDeliveryEvent::placeMetaCall (this=<value
> optimized out>, object=<value optimized out>) at qdbusintegrator_p.h:101
> #30 0x00007f8bca82f509 in QObject::event (this=0x7126d0, e=0x79d740) at
> kernel/qobject.cpp:1248
> #31 0x00007f8bc9c0f4d4 in QApplicationPrivate::notify_helper (this=0x65c090,
> receiver=0x7126d0, e=0x79d740) at kernel/qapplication.cpp:4302
> #32 0x00007f8bc9c17aca in QApplication::notify (this=<value optimized out>,
> receiver=0x7126d0, e=0x79d740) at kernel/qapplication.cpp:4185
> #33 0x00007f8bcbb31c06 in KApplication::notify (this=0x7fffd9cc3c00,
> receiver=0x7126d0, event=0x79d740) at
> /usr/src/debug/kdelibs-4.4.4/kdeui/kernel/kapplication.cpp:302
> #34 0x00007f8bca81de4c in QCoreApplication::notifyInternal
> (this=0x7fffd9cc3c00, receiver=0x7126d0, event=0x79d740) at
> kernel/qcoreapplication.cpp:726
> #35 0x00007f8bca8215ba in sendEvent (receiver=0x0, event_type=0, data=0x631220)
> at kernel/qcoreapplication.h:215
> #36 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0,
> data=0x631220) at kernel/qcoreapplication.cpp:1367
> #37 0x00007f8bca846173 in sendPostedEvents (s=<value optimized out>) at
> kernel/qcoreapplication.h:220
> #38 postEventSourceDispatch (s=<value optimized out>) at
> kernel/qeventdispatcher_glib.cpp:276
> #39 0x00007f8bc5ce0a93 in g_main_context_dispatch () from
> /usr/lib64/libglib-2.0.so.0
> #40 0x00007f8bc5ce1270 in ?? () from /usr/lib64/libglib-2.0.so.0
> #41 0x00007f8bc5ce1510 in g_main_context_iteration () from
> /usr/lib64/libglib-2.0.so.0
> #42 0x00007f8bca84667f in QEventDispatcherGlib::processEvents (this=0x6368b0,
> flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
> #43 0x00007f8bc9cb014e in QGuiEventDispatcherGlib::processEvents (this=<value
> optimized out>, flags=<value optimized out>) at
> kernel/qguieventdispatcher_glib.cpp:204
> #44 0x00007f8bca81d292 in QEventLoop::processEvents (this=<value optimized
> out>, flags=...) at kernel/qeventloop.cpp:149
> #45 0x00007f8bca81d495 in QEventLoop::exec (this=0x7fffd9cc3b50, flags=...) at
> kernel/qeventloop.cpp:201
> #46 0x00007f8bca82188b in QCoreApplication::exec () at
> kernel/qcoreapplication.cpp:1003
> #47 0x000000000040e88f in _start ()
>
> Possible duplicates by query: bug 248662, bug 248408, bug 245839, bug 244291,
> bug 241678.
>
> Reported using DrKonqi
>
>   
Is there a planning when this bug will be attacked?
Comment 2 Andre den Oudsten 2010-10-14 17:48:50 UTC
Op 10-10-10 21:41, Andre den Oudsten schreef:
> https://bugs.kde.org/show_bug.cgi?id=249226
>
>
>
>
>
> --- Comment #1 from Andre den Oudsten <AdenOudsten wxs nl>  2010-10-10 21:41:23 ---
> Op 27-08-10 14:52, Andre den Oudsten schreef:
>   
>> https://bugs.kde.org/show_bug.cgi?id=249226
>>
>>            Summary: Networkmanager could not connect to SpeedTouch at
>>                     starting the next time
>>            Product: knetworkmanager
>>            Version: unspecified
>>           Platform: openSUSE RPMs
>>         OS/Version: Linux
>>             Status: UNCONFIRMED
>>           Severity: crash
>>           Priority: NOR
>>          Component: general
>>         AssignedTo: wstephenson@kde.org
>>         ReportedBy: AdenOudsten@wxs.nl
>>
>>
>> Application: knetworkmanager (v0.9)
>> KDE Platform Version: 4.4.4 (KDE 4.4.4) "release 2"
>> Qt Version: 4.6.3
>> Operating System: Linux 2.6.34-12-desktop x86_64
>> Distribution: "openSUSE 11.3 (x86_64)"
>>
>> -- Information about the crash:
>> After making a wireless connection the first time its impossible to renew after
>> shutting off and restart the next day
>>
>> The crash can be reproduced every time.
>>
>>  -- Backtrace:
>> Application: KNetworkManager (knetworkmanager), signal: Segmentation fault
>> [KCrash Handler]
>> #5  ref (this=0x71b4a0) at /usr/include/QtCore/qatomic_x86_64.h:121
>> #6  QString (this=0x71b4a0) at /usr/include/QtCore/qstring.h:715
>> #7  Knm::Activatable::deviceUni (this=0x71b4a0) at
>> /usr/src/debug/networkmanagement/libs/internals/activatable.cpp:51
>> #8  0x00007f8bcb250718 in compareDevices (first=0x71b4a0, second=0x764160) at
>> /usr/src/debug/networkmanagement/libs/service/sortedactivatablelist.cpp:262
>> #9  0x00007f8bcb250a43 in activatableLessThan (first=0x71b4a0, second=0x764160)
>> at /usr/src/debug/networkmanagement/libs/service/sortedactivatablelist.cpp:172
>> #10 0x00007f8bcb25155a in
>> QAlgorithmsPrivate::qSortHelper<QList<Knm::Activatable*>::iterator,
>> Knm::Activatable*, bool (*)(Knm::Activatable const*, Knm::Activatable const*)>
>> (start=..., end=..., 
>>     t=@0x7ab770, lessThan=0x7f8bcb250a20 <activatableLessThan(Knm::Activatable
>> const*, Knm::Activatable const*)>) at /usr/include/QtCore/qalgorithms.h:356
>> #11 0x00007f8bcb251307 in qSort<QList<Knm::Activatable*>::iterator, bool
>> (*)(Knm::Activatable const*, Knm::Activatable const*)> (this=0x6ff710,
>> activatable=0x711b20)
>>     at /usr/include/QtCore/qalgorithms.h:187
>> #12 SortedActivatableList::handleAdd (this=0x6ff710, activatable=0x711b20) at
>> /usr/src/debug/networkmanagement/libs/service/sortedactivatablelist.cpp:96
>> #13 0x00007f8bcb241f53 in ActivatableList::notifyOnAddActivatable (this=<value
>> optimized out>, activatable=0x711b20) at
>> /usr/src/debug/networkmanagement/libs/service/activatablelist.cpp:99
>> #14 0x00007f8bcb24585e in
>> WirelessNetworkInterfaceActivatableProvider::handleAdd (this=<value optimized
>> out>, addedConnection=<value optimized out>)
>>     at
>> /usr/src/debug/networkmanagement/libs/service/wirelessnetworkinterfaceactivatableprovider.cpp:143
>> #15 0x00007f8bcb24345d in NetworkInterfaceActivatableProvider::init
>> (this=0x7b28b0) at
>> /usr/src/debug/networkmanagement/libs/service/networkinterfaceactivatableprovider.cpp:64
>> #16 0x00007f8bcb24299d in NetworkInterfaceMonitor::networkInterfaceAdded
>> (this=<value optimized out>, uni=...) at
>> /usr/src/debug/networkmanagement/libs/service/networkinterfacemonitor.cpp:79
>> #17 0x00007f8bcb23dfbd in NetworkInterfaceMonitor::qt_metacall (this=0x7545e0,
>> _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffd9cc2a00)
>>     at
>> /usr/src/debug/networkmanagement/build/libs/service/moc_networkinterfacemonitor.cpp:75
>> #18 0x00007f8bca831a1f in QMetaObject::activate (sender=0x71ae50, m=<value
>> optimized out>, local_signal_index=<value optimized out>, argv=0x7fffd9cc2a00)
>> at kernel/qobject.cpp:3295
>> #19 0x00007f8bcadc4945 in
>> Solid::Control::NetworkManager::Notifier::networkInterfaceAdded (this=<value
>> optimized out>, _t1=<value optimized out>)
>>     at
>> /usr/src/debug/kdebase-workspace-4.4.4/build/libs/solid/control/networkmanager.moc:107
>> #20 0x00007f8bcadc4f17 in Solid::Control::NetworkManagerPrivate::qt_metacall
>> (this=0x71ae50, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>,
>> _a=0x7fffd9cc2b20)
>>     at
>> /usr/src/debug/kdebase-workspace-4.4.4/build/libs/solid/control/networkmanager_p.moc:81
>> #21 0x00007f8bca831a1f in QMetaObject::activate (sender=0x7484f0, m=<value
>> optimized out>, local_signal_index=<value optimized out>, argv=0x7fffd9cc2b20)
>> at kernel/qobject.cpp:3295
>> #22 0x00007f8bc0ba9375 in NMNetworkManager::networkInterfaceAdded (this=<value
>> optimized out>, _t1=<value optimized out>)
>>     at
>> /usr/src/debug/kdebase-workspace-4.4.4/build/solid/networkmanager-0.7/manager.moc:134
>> #23 0x00007f8bc0badbea in NMNetworkManager::deviceAdded (this=0x7484f0,
>> objpath=...) at
>> /usr/src/debug/kdebase-workspace-4.4.4/solid/networkmanager-0.7/manager.cpp:199
>> #24 0x00007f8bc0bb77c9 in NMNetworkManager::qt_metacall (this=0x7484f0,
>> _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffd9cc2ce0)
>>     at
>> /usr/src/debug/kdebase-workspace-4.4.4/build/solid/networkmanager-0.7/manager.moc:111
>> #25 0x00007f8bca831a1f in QMetaObject::activate (sender=0x7126d0, m=<value
>> optimized out>, local_signal_index=<value optimized out>, argv=0x7fffd9cc2ce0)
>> at kernel/qobject.cpp:3295
>> #26 0x00007f8bc0baa382 in OrgFreedesktopNetworkManagerInterface::DeviceAdded
>> (this=<value optimized out>, _t1=<value optimized out>)
>>     at
>> /usr/src/debug/kdebase-workspace-4.4.4/build/solid/networkmanager-0.7/nm-manager-clientinterface.moc:155
>> #27 0x00007f8bc0bb1b94 in OrgFreedesktopNetworkManagerInterface::qt_metacall
>> (this=0x7126d0, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0x7fffd9cc3120)
>>     at
>> /usr/src/debug/kdebase-workspace-4.4.4/build/solid/networkmanager-0.7/nm-manager-clientinterface.moc:102
>> #28 0x00007f8bcab55188 in QDBusConnectionPrivate::deliverCall (this=0x7105a0,
>> object=0x7126d0, msg=..., metaTypes=..., slotIdx=5) at qdbusintegrator.cpp:904
>> #29 0x00007f8bcab61ecf in QDBusCallDeliveryEvent::placeMetaCall (this=<value
>> optimized out>, object=<value optimized out>) at qdbusintegrator_p.h:101
>> #30 0x00007f8bca82f509 in QObject::event (this=0x7126d0, e=0x79d740) at
>> kernel/qobject.cpp:1248
>> #31 0x00007f8bc9c0f4d4 in QApplicationPrivate::notify_helper (this=0x65c090,
>> receiver=0x7126d0, e=0x79d740) at kernel/qapplication.cpp:4302
>> #32 0x00007f8bc9c17aca in QApplication::notify (this=<value optimized out>,
>> receiver=0x7126d0, e=0x79d740) at kernel/qapplication.cpp:4185
>> #33 0x00007f8bcbb31c06 in KApplication::notify (this=0x7fffd9cc3c00,
>> receiver=0x7126d0, event=0x79d740) at
>> /usr/src/debug/kdelibs-4.4.4/kdeui/kernel/kapplication.cpp:302
>> #34 0x00007f8bca81de4c in QCoreApplication::notifyInternal
>> (this=0x7fffd9cc3c00, receiver=0x7126d0, event=0x79d740) at
>> kernel/qcoreapplication.cpp:726
>> #35 0x00007f8bca8215ba in sendEvent (receiver=0x0, event_type=0, data=0x631220)
>> at kernel/qcoreapplication.h:215
>> #36 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0,
>> data=0x631220) at kernel/qcoreapplication.cpp:1367
>> #37 0x00007f8bca846173 in sendPostedEvents (s=<value optimized out>) at
>> kernel/qcoreapplication.h:220
>> #38 postEventSourceDispatch (s=<value optimized out>) at
>> kernel/qeventdispatcher_glib.cpp:276
>> #39 0x00007f8bc5ce0a93 in g_main_context_dispatch () from
>> /usr/lib64/libglib-2.0.so.0
>> #40 0x00007f8bc5ce1270 in ?? () from /usr/lib64/libglib-2.0.so.0
>> #41 0x00007f8bc5ce1510 in g_main_context_iteration () from
>> /usr/lib64/libglib-2.0.so.0
>> #42 0x00007f8bca84667f in QEventDispatcherGlib::processEvents (this=0x6368b0,
>> flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
>> #43 0x00007f8bc9cb014e in QGuiEventDispatcherGlib::processEvents (this=<value
>> optimized out>, flags=<value optimized out>) at
>> kernel/qguieventdispatcher_glib.cpp:204
>> #44 0x00007f8bca81d292 in QEventLoop::processEvents (this=<value optimized
>> out>, flags=...) at kernel/qeventloop.cpp:149
>> #45 0x00007f8bca81d495 in QEventLoop::exec (this=0x7fffd9cc3b50, flags=...) at
>> kernel/qeventloop.cpp:201
>> #46 0x00007f8bca82188b in QCoreApplication::exec () at
>> kernel/qcoreapplication.cpp:1003
>> #47 0x000000000040e88f in _start ()
>>
>> Possible duplicates by query: bug 248662, bug 248408, bug 245839, bug 244291,
>> bug 241678.
>>
>> Reported using DrKonqi
>>
>>   
>>     
> Is there a planning when this bug will be attacked?
>
>   

When I start up I can click the connection icon and have, at random, the
indication 'Manage connections' or I see the 'connection with it's
security and intensity'; but no made connection. At the first choice I
have to restart the machine until I get the second one. I then have to
manage the connection, delete the previously used connection and click
OK. Then I can make a new connection that works!!A little bit clumsy, so
I hope the bug will be fixed soon!!
André den Oudsten
Comment 3 Frank Reininghaus 2011-02-11 15:56:13 UTC
Thanks for the bug report. This looks like bug 210878. There have been commits recently which might fix the problem.

*** This bug has been marked as a duplicate of bug 210878 ***